public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Yixun Lan" <dlan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-backup/snapper/
Date: Sun, 16 Feb 2020 14:27:43 +0000 (UTC)	[thread overview]
Message-ID: <1581863233.703d409ba4f3b8b105bb626d1046aaa464a822af.dlan@gentoo> (raw)

commit:     703d409ba4f3b8b105bb626d1046aaa464a822af
Author:     Yixun Lan <dlan <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 16 14:22:40 2020 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Sun Feb 16 14:27:13 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=703d409b

app-backup/snapper: version bump, 0.8.6

Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 app-backup/snapper/Manifest             |  1 +
 app-backup/snapper/snapper-0.8.6.ebuild | 78 +++++++++++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/app-backup/snapper/Manifest b/app-backup/snapper/Manifest
index 7b174d819c7..bc65a1d4748 100644
--- a/app-backup/snapper/Manifest
+++ b/app-backup/snapper/Manifest
@@ -1,3 +1,4 @@
 DIST snapper-0.5.6.tar.bz2 580047 BLAKE2B 3b945acbf734db1925dad5515323a64a2c08ee8226a593025f9160e0d1b1140734b2b498d036256946159900b50fec8567147dc0a974c281be747e977bcbd05b SHA512 392427d097cbe221bf7ca0ae20bc065dffaa4d0017ed750c41748d71128fc7ce054bb4425d6dbed7308a530df71815f80f56e60d72aab17ef3e0a16f3b3ba47e
 DIST snapper-0.8.4.tar.bz2 594555 BLAKE2B b176420be06dea2dca73fafbebb362bb27d9b793868f84466dae020cea9d1c61c7a3896de6e0701d1e924eed8c13b1b11a7bbc3047ca41c9aaee260a438ddce3 SHA512 9e3708a2b015470798731e105ab843f21c5273f0f2f4e183afde538ad4998892c4d79996e1963e74d0a09d10b9b3057faed5e2f501a1d9a5a4b1fa36ba88bb7e
 DIST snapper-0.8.5.tar.bz2 595516 BLAKE2B 4cf59fa5098f91281bae98476b30c21532df5035ee7ed66fd07e279174bd5da902e1e5af845ab92f217146a6c420620ff464c9705fd06b430bbf3566aa9ae484 SHA512 496b09f4878cbc82c791f35467735e321fdcbd2bc478fac918394b9f6718b7de5cf719567a317b09e88e9af43f2b8791c4d691b2db33343dfecb01544b809590
+DIST snapper-0.8.6.tar.bz2 607016 BLAKE2B 3e496fa22b1ecce2079d79caeb530ca1538febcc6bdf04aa0256e5b43bb546ea66436e60eeaae6722bc869c60579bc47c556671c5878dd671c266102516f04bb SHA512 f01a309a8dcfff455bf480ff297108e8ec3603d469d50f08740176e22bc2b8dd211de678fa8ce12c1ccd828348a35c6d347ca51b829d7b8c30b3fbaba4e9e2d9

diff --git a/app-backup/snapper/snapper-0.8.6.ebuild b/app-backup/snapper/snapper-0.8.6.ebuild
new file mode 100644
index 00000000000..cbaeda59655
--- /dev/null
+++ b/app-backup/snapper/snapper-0.8.6.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit systemd bash-completion-r1
+
+DESCRIPTION="Command-line program for btrfs and lvm snapshot management"
+HOMEPAGE="http://snapper.io/"
+SRC_URI="ftp://ftp.suse.com/pub/projects/snapper/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="lvm pam xattr"
+
+RDEPEND="dev-libs/boost:=[threads]
+	dev-libs/libxml2
+	dev-libs/icu:=
+	sys-apps/acl
+	sys-apps/dbus
+	sys-apps/util-linux
+	>=sys-fs/btrfs-progs-3.17.1
+	sys-libs/zlib
+	virtual/libintl
+	lvm? ( sys-fs/lvm2 )
+	pam? ( sys-libs/pam )
+	xattr? ( sys-apps/attr )"
+
+DEPEND="${RDEPEND}
+	sys-devel/gettext
+	virtual/pkgconfig"
+
+PATCHES=(
+	"${FILESDIR}"/cron-confd.patch
+)
+
+src_prepare() {
+	default
+
+	sed -e "s,/usr/lib/systemd/system,$(systemd_get_systemunitdir),g" \
+		-i data/Makefile.* \
+		|| die "Failed to fix systemd services and timers installation path"
+}
+
+src_configure() {
+	# ext4 code does not work anymore
+	# snapper does not build without btrfs
+	local myeconfargs=(
+		--with-conf="/etc/conf.d"
+		--docdir="/usr/share/doc/${PF}"
+		--disable-zypp
+		--enable-rollback
+		--disable-ext4
+		--enable-btrfs
+		$(use_enable lvm)
+		$(use_enable pam)
+		$(use_enable xattr xattrs)
+	)
+
+	econf "${myeconfargs[@]}"
+}
+
+src_install() {
+	default
+	# Existing configuration file required to function
+	newconfd data/sysconfig.snapper snapper
+	find "${D}" -name '*.la' -delete || die
+	newbashcomp "${FILESDIR}"/${PN}.bash ${PN}
+}
+
+pkg_postinst() {
+	elog "In order to use Snapper, you need to set up"
+	elog "at least one config first. To do this, run:"
+	elog "snapper create-config <subvolume>"
+	elog "For more information, see man (8) snapper or"
+	elog "http://snapper.io/documentation.html"
+}


             reply	other threads:[~2020-02-16 14:27 UTC|newest]

Thread overview: 63+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-02-16 14:27 Yixun Lan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-02  1:08 [gentoo-commits] repo/gentoo:master commit in: app-backup/snapper/ Yixun Lan
2024-07-11  6:22 Arthur Zamarin
2024-07-11  6:22 Arthur Zamarin
2024-07-11  2:30 Yixun Lan
2023-12-04 12:27 Michał Górny
2023-12-04  1:54 Sam James
2023-12-04  0:52 Yixun Lan
2023-09-15  8:27 Sam James
2023-08-09 11:47 Yixun Lan
2023-08-09 11:47 Yixun Lan
2023-06-17 21:11 Yixun Lan
2022-12-19  1:41 Yixun Lan
2022-11-29  5:49 Joonas Niilola
2022-11-29  5:49 Joonas Niilola
2022-11-28 16:29 Joonas Niilola
2022-09-23 13:22 Yixun Lan
2022-08-12 13:21 Yixun Lan
2022-08-12 13:21 Yixun Lan
2022-05-15  0:06 Yixun Lan
2022-01-31  2:39 Yixun Lan
2021-12-07  6:26 Agostino Sarubbo
2021-12-06 11:27 Agostino Sarubbo
2021-10-12  7:14 Agostino Sarubbo
2021-10-12  7:10 Agostino Sarubbo
2021-07-21  2:22 Yixun Lan
2021-06-06  6:35 Yixun Lan
2021-06-06  6:35 Yixun Lan
2021-06-05 20:35 Sam James
2021-01-15 21:28 Yixun Lan
2021-01-14  8:20 Yixun Lan
2020-06-04  2:48 Yixun Lan
2020-06-01  6:57 Yixun Lan
2020-04-17 15:17 Yixun Lan
2020-04-17 15:17 Yixun Lan
2019-12-20  2:09 Yixun Lan
2019-12-20  2:09 Yixun Lan
2019-10-16  3:42 Yixun Lan
2019-04-16  6:44 Yixun Lan
2019-02-12  2:16 Yixun Lan
2019-02-12  2:16 Yixun Lan
2019-01-17 21:21 Mikle Kolyada
2019-01-02 19:01 Thomas Deutschmann
2018-12-17  7:38 Yixun Lan
2018-12-17  7:38 Yixun Lan
2018-10-12 17:14 Mikle Kolyada
2018-10-10  3:01 Thomas Deutschmann
2018-08-13  3:52 Yixun Lan
2018-08-13  3:52 Yixun Lan
2018-03-25 19:10 Michał Górny
2018-03-13 22:36 Andreas Sturmlechner
2018-03-13 21:35 Patrice Clement
2018-02-11 10:01 Michał Górny
2017-05-23  9:06 Yixun Lan
2016-12-28  9:14 Yixun Lan
2016-12-20  7:36 Yixun Lan
2016-09-29  5:40 Lars Wendler
2016-08-25  5:28 Yixun Lan
2016-08-25  5:28 Yixun Lan
2016-04-06  4:39 Ian Delaney
2016-03-08  9:13 Patrice Clement
2015-12-21  7:47 Yixun Lan
2015-08-31  8:12 Yixun Lan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1581863233.703d409ba4f3b8b105bb626d1046aaa464a822af.dlan@gentoo \
    --to=dlan@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox